## org.hibernate.util
Class JDBCExceptionReporter.WarningHandlerLoggingSupport

    java.lang.Object
      org.hibernate.util.JDBCExceptionReporter.WarningHandlerLoggingSupport

All Implemented Interfaces:
  JDBCExceptionReporter.WarningHandler

Direct Known Subclasses:
  JDBCExceptionReporter.StandardWarningHandler

Enclosing class:
  JDBCExceptionReporter

    public abstract static class JDBCExceptionReporter.WarningHandlerLoggingSupport

extends Object
implements JDBCExceptionReporter.WarningHandler

Basic support for `JDBCExceptionReporter.WarningHandler` implementations which log

Constructor Summary
`JDBCExceptionReporter.WarningHandlerLoggingSupport()`

Method Summary
`void` `handleWarning(SQLWarning warning)` Handle an individual warning in the stack.
`protected abstract void` `logWarning(String description, String message)` Delegate to log common details of a `warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.util.JDBCExceptionReporter.WarningHandler
`doProcess, prepare`

Constructor Detail

### JDBCExceptionReporter.WarningHandlerLoggingSupport

    public JDBCExceptionReporter.WarningHandlerLoggingSupport()

Method Detail

### handleWarning

    public final void handleWarning(SQLWarning warning)

  Description copied from interface: `JDBCExceptionReporter.WarningHandler`
  Handle an individual warning in the stack.

  Specified by:
    `handleWarning` in interface `JDBCExceptionReporter.WarningHandler`
  Parameters:
    `warning` - The warning to handle.

### logWarning

    protected abstract void logWarning(String description,
                                       String message)

  Delegate to log common details of a `warning`

  Parameters:
    `description` - A description of the warning
    `message` - The warning message

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.